Summary:       Geometry Engine - Open Source
Name:          libgeos0
Version:       3.2.2
Release:       1.pm.1.1
Source0:       geos-%{version}.tar.bz2
License:       GNU Lesser General Public Licence
Group:         Applications/GIS
Packager:      Otto Dassau <dassau@gbd-consult.de>
BuildRequires: gcc-c++

BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Provides:      libgeos = %{version}
#Patch:         geos_gcc_fix.patch


%description
GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology
Suite (JTS). As such, it aims to contain the complete functionality of
JTS in C++. This includes all the OpenGIS "Simple Features for SQL" spatial
predicate functions and spatial operators, as well as specific JTS topology
functions such as IsValid()

%package -n libgeos-devel
Summary:       Development files for GEOS
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description -n libgeos-devel
GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology
Suite (JTS). As such, it aims to contain the complete functionality of
JTS in C++. This includes all the OpenGIS "Simple Features for SQL" spatial
predicate functions and spatial operators, as well as specific JTS topology
functions such as IsValid()

This package contains the development files to build applications that
use GEOS.


%prep
%setup -D -n geos-%{version}
#%patch -p1
%configure --prefix=%{_prefix} --enable-static --disable-dependency-tracking

%build
make


%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgeos*.so*
%exclude %{_libdir}/libgeos_c.so
%doc AUTHORS COPYING NEWS README TODO

%files -n libgeos-devel
%defattr(-,root,root)
%{_bindir}/geos-config
%{_includedir}/*
%{_libdir}/libgeos_c.so
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Thu Nov 09 2010 Otto Dassau <dassau@gbd-consult.de> 3.2.2
- version update
* Thu Feb 11 2010 Otto Dassau 3.2.0
- version update
* Thu Jul 30 2009 Otto Dassau 3.1.1
- version update
* Mon May 18 2009 Otto Dassau 3.1.0
- version update
* Sat Oct 18 2008 Otto Dassau 3.0.2
- updated geos to version 3.0.2
- extended patch to fix CLocalizer.cpp gcc problem
* Thu Dec 20 2007 Otto Dassau 3.0.0
- updated geos to version 3.0.0
* Tue Aug 14 2007 Dirk Stöcker 2.2.3
- adapted to openSUSE BuildService
* Tue Dec 19 2006 Otto Dassau 2.2.3
- adapted to SuSE 10.2
* Wed Jan 25 2006 Otto Dassau 2.2.1-1
- adapted to SuSE 10.0
* Fri Dec 30 2005 Shawn McCann 2.2.1-1
- Initial release for fedora fc4
